aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2023-04-09 23:58:58 -0400
committerJulien Roy <julien@jroy.ca>2023-04-09 23:58:58 -0400
commit47d046fbc7fec70c48496f39cabfdc369e99a273 (patch)
tree9adc039f042cc994bbb77916cf5b8dcf534bd98e
parent77f5d0f6e6c09a90b8432875b568124a2e07fcef (diff)
downloadMrRoy-Overlay-47d046fbc7fec70c48496f39cabfdc369e99a273.tar.gz
MrRoy-Overlay-47d046fbc7fec70c48496f39cabfdc369e99a273.tar.bz2
MrRoy-Overlay-47d046fbc7fec70c48496f39cabfdc369e99a273.zip
dev-python/BTrees: new package, add 5.0
Signed-off-by: Julien Roy <julien@jroy.ca>
-rw-r--r--dev-python/BTrees/BTrees-5.0.ebuild41
-rw-r--r--dev-python/BTrees/Manifest2
-rw-r--r--dev-python/BTrees/metadata.xml22
3 files changed, 65 insertions, 0 deletions
diff --git a/dev-python/BTrees/BTrees-5.0.ebuild b/dev-python/BTrees/BTrees-5.0.ebuild
new file mode 100644
index 0000000..5207ff3
--- /dev/null
+++ b/dev-python/BTrees/BTrees-5.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+PYPI_NO_NORMALIZE=1
+inherit distutils-r1 pypi
+
+DESCRIPTION="scalable persistent components"
+HOMEPAGE="https://github.com/zopefoundation/BTrees"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+# Too many failures (not upstream), needs to be investigated
+# RESTRICT="test"
+
+RDEPEND="
+ dev-python/persistent[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}]
+ dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/transaction[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_test(){
+ cd "${S}/src/BTrees" || die
+ distutils-r1_src_test
+}
diff --git a/dev-python/BTrees/Manifest b/dev-python/BTrees/Manifest
new file mode 100644
index 0000000..e7e9480
--- /dev/null
+++ b/dev-python/BTrees/Manifest
@@ -0,0 +1,2 @@
+DIST BTrees-4.11.3.gh.tar.gz 193194 BLAKE2B d596506b0e036af628f56124f8cf4ccd19b459c18b6c27ed127f1366cb1179c2c4ccf8db3b5196ffe49f33860b562ee29e4739291dfaa15866296611d9c8fa0c SHA512 e184f47db4ba63938cd8e6ddcc7aa452447e4324e64e8e92b874e3d72736c6371a0ba6c82fdc5a94046ac7aee1b028ca43de4eaea9a11394040868c8c89c9974
+DIST BTrees-5.0.tar.gz 198089 BLAKE2B c571ee1e2e54b3a978acb25d932ed23a78f78653efc7567f310a98843d8f65150e84bd6f39824726bcc1230fa28a1c0f1359b5f2777ac00d6ce97a1662336e54 SHA512 4b90fb8769f8bacc02fd610c829b69cbb94f6a6fd146279ad06904e479ffc19e82cc37fff10ccf818a8ea8f6b2a19cd29021debb4d70ccb7a5a52fe54c0074b4
diff --git a/dev-python/BTrees/metadata.xml b/dev-python/BTrees/metadata.xml
new file mode 100644
index 0000000..377dadd
--- /dev/null
+++ b/dev-python/BTrees/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ This package contains a set of persistent object containers built around a modified BTree data structure. The trees are optimized for use inside ZODB's "optimistic concurrency" paradigm, and include explicit resolution of conflicts detected by that mechanism.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/BTrees/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/BTrees/blob/master/CHANGES.rst</changelog>
+ <doc>https://btrees.readthedocs.io</doc>
+ <remote-id type="github">zopefoundation/BTrees</remote-id>
+ <remote-id type="pypi">BTrees</remote-id>
+ </upstream>
+</pkgmetadata>